Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355892 - Services binding on all networks
Summary: Services binding on all networks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Angus Thomas
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 20:18 UTC by Dimitri Savineau
Modified: 2018-07-24 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 08:08:43 UTC


Attachments (Terms of Use)

Description Dimitri Savineau 2016-07-12 20:18:07 UTC
Description of problem:

Some services configured by director are exposed on multiple networks (included the external network). If you don't have firewalls in front of the overcloud nodes services like rabbitmq, xinetd or pcs are exposed.
Those services should only bind on the internal API.

Version-Release number of selected component (if applicable):

OSPd 8
$ rpm -qa openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-0.8.14-11.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud with network isolation

Actual results:
On controller nodes :

# netstat -lntup|egrep -e "0 (0.0.0.0|:::)"
tcp        0      0 0.0.0.0:4369            0.0.0.0:*               LISTEN      53464/epmd          
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN      5115/sshd           
tcp        0      0 0.0.0.0:35672           0.0.0.0:*               LISTEN      131699/beam.smp     
tcp6       0      0 :::9200                 :::*                    LISTEN      1887/xinetd         
tcp6       0      0 :::2224                 :::*                    LISTEN      42534/ruby          
tcp6       0      0 :::4369                 :::*                    LISTEN      53464/epmd          
tcp6       0      0 :::22                   :::*                    LISTEN      5115/sshd           
udp        0      0 0.0.0.0:45502           0.0.0.0:*                           67952/snmpd         
udp        0      0 0.0.0.0:123             0.0.0.0:*                           41679/ntpd          
udp        0      0 0.0.0.0:161             0.0.0.0:*                           67952/snmpd         
udp        0      0 0.0.0.0:4789            0.0.0.0:*                           -                   
udp        0      0 0.0.0.0:4952            0.0.0.0:*                           107938/python2      
udp6       0      0 :::123                  :::*                                41679/ntpd


Expected results:

epmd, rabbitmq (beam.smp), xinetd (galera-monitor), pcsd (port 2224) and ceilometer-collector (port 4952) should be isolated on the internal network.

Comment 2 Chris Jones 2017-10-17 15:13:17 UTC
We think this issue is fixed in more recent versions of OSP, and will need to investigate how possible it would be to backport those changes.


Note You need to log in before you can comment on or make changes to this bug.